Bug 173297 - Ant Editor code assist throws NullPointerException
Ant Editor code assist throws NullPointerException
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Igor Foox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-15 20:13 EST by Michel Alexandre Salim
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-06 16:13:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
relevant stack trace snippet (10.07 KB, application/octet-stream)
2005-11-24 11:08 EST, Andrew Overholt
no flags Details

  None (edit)
Description Michel Alexandre Salim 2005-11-15 20:13:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When I press Ctrl+Space to auto-complete an Ant build.xml file, whether the file is empty or has some tags already in, I get the following error message:

"Content Assist" did not complete normally. Please see the log for more information.

Reason:
java.lang.NullPointerException

Clicking on Details just repeat 'java.lang.NullPointerException in the details window.

Version-Release number of selected component (if applicable):
eclipse-jdt-3.1.1-1jpp_1fc.FC4.4

How reproducible:
Always

Steps to Reproduce:
1. Start Eclipse
2. Create a new file inside a project, call it build.xml
3. Open build.xml using the Ant Editor
4. Ctrl+Space
  

Actual Results:  NullPointerException thrown

Expected Results:  Code-assist should either drop down a list of suggestions or auto-complete, based on the content of the file at the moment

Additional info:
Comment 1 Andrew Overholt 2005-11-24 10:53:52 EST
I can duplicate this with or without org.eclipse.ant.ui_3.1.1.jar.db so I guess
it's a library issue.  I will investigate.
Comment 2 Andrew Overholt 2005-11-24 11:08:53 EST
Created attachment 121456 [details]
relevant stack trace snippet

Here's a snippet of <workspace>/.metadata/.log with the relevant information.
Comment 3 Igor Foox 2006-02-06 16:13:52 EST
This is fixed in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.